Subject: Re: commit 9d8c094ddab0 breaks Xorg/xfce4

From: Mario Limonciello <[email-masked]>
Date: Tue, 20 Aug 2024 13:28:59 -0500

On 8/1/2024 11:52, Bert Karwatzki wrote:
> Since linux-next-20240801 starting Xorg/xfce4 fails on my MSI Alpha15 Laptop.
> I bisected this to the following commit and reverting this in linux-next-20240801
> fixes the issue for me. Gnome (with Xwayland) works as usual.
> 
> 9d8c094ddab05db88d183ba82e23be807848cad8 is the first bad commit
> commit 9d8c094ddab05db88d183ba82e23be807848cad8
> Author: Mario Limonciello <[email-masked]>
> Date:   Wed Jul 3 00:17:22 2024 -0500
> 
>      drm/amd: Add power_saving_policy drm property to eDP connectors
> 
>      When the `power_saving_policy` property is set to bit mask
>      "Require color accuracy" ABM should be disabled immediately and
>      any requests by sysfs to update will return an -EBUSY error.
> 
>      When the `power_saving_policy` property is set to bit mask
>      "Require low latency" PSR should be disabled.
> 
>      When the property is restored to an empty bit mask ABM and PSR
>      can be enabled again.
> 
>      Signed-off-by: Mario Limonciello <[email-masked]>
>      Reviewed-by: Leo Li <[email-masked]>
>      Signed-off-by: Hamza Mahfooz <[email-masked]>
>      Link: https://patchwork.freedesktop.org/patch/msgid/[email-masked]
> 
>   drivers/gpu/drm/amd/amdgpu/amdgpu_display.c       |  4 ++++
>   drivers/gpu/drm/amd/display/amdgpu_dm/amdgpu_dm.c | 52 +++++++++++++++++++++++++++++++++++++++++++++++-----
>   drivers/gpu/drm/amd/display/amdgpu_dm/amdgpu_dm.h |  2 ++
>   3 files changed, 53 insertions(+), 5 deletions(-)
> 
> Bert Karwatzki

Thanks for reporting this.  It's an odd issue!
I could reproduce it using SDDM (which uses X by "default").

Just to close the loop on it, it's been reverted for other reasons:
https://gitlab.freedesktop.org/drm/misc/kernel/-/commit/717b432b6d55e1dcefcb5e2ec315bf66b6ab8c54

When something comes back in a different form I'll double check X again too.